﻿@model Avira.MarketingResearch.Model.ViewModels.CompanyProfile.MainCompanySWOTViewModel
@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_LayoutWithCompanyTabAndLeftMenu.cshtml";
} 
<h2>Company SWOT</h2>
@using (Html.BeginForm("Index", "CompanySWOT", FormMethod.Post, new { id = "CompanySWOTmap", name = "CompanySWOTmap", @class = "" }))
{
   
<div id="content" class="content" style="margin-top:25px;">
    <div class="section-with-top-border">
        <div class="row">
            <div class="col-lg-4">
                <div class="clearfix">
                    <h5 class="m-t-0">Project Name: @ViewBag.ProjectName</h5>
                </div>
            </div>
            <div class="col-lg-4">
                <div class="clearfix">
                    <h5 class="m-t-0">Company Name: @ViewBag.CompanyName</h5>
                </div>
            </div>
            <div class="col-lg-4">
                <div class="clearfix">
                    <h5 class="m-t-0">Status: @ViewBag.StatusName</h5>
                </div>
            </div>
        </div>
    </div>
    <div class="section-container section-with-top-border p-b-10">
        @if (ViewBag.Message != "")
        {
            <div class="alert alert-danger alert-bordered show m-b-10">
                <strong>Info!</strong>
                @ViewBag.Message
                <span class="close" data-dismiss="alert">×</span>
            </div>
        }
        <h5 class="m-t-0">Strenghts</h5>
        @Html.HiddenFor(Model => Model.CompanyId)
        @Html.HiddenFor(Model => Model.ProjectId)
        <div class="row">
            @for (int i = 0; i < Model.companySWOTStrengthViewModel.Count; i++)
            {
                <div class="col-lg-3">
                    <div class="form-horizontal">
                        <div class="form-group m-b-10">
                            <label class="col-lg-4 col-form-label">Category</label>
                            <div class="col-lg-8">
                                @Html.HiddenFor(Model => Model.companySWOTStrengthViewModel[i].Id)
                                @Html.HiddenFor(Model => Model.companySWOTStrengthViewModel[i].SWOTTypeName)
                                @Html.HiddenFor(Model => Model.companySWOTStrengthViewModel[i].SWOTTypeId)
                                @Html.DropDownListFor(Model => Model.companySWOTStrengthViewModel[i].CategoryId, new SelectList(ViewBag.CategoryList, "Id", "CategoryName"), "", new { @class = "form-control" })
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-8 text-left">
                    <div class="form-horizontal">
                        <div class="form-group">
                            <label class="col-lg-2 col-form-label text-right">Description</label>
                            <div class="col-lg-10">
                                @Html.TextAreaFor(Model => Model.companySWOTStrengthViewModel[i].SWOTDescription, new { @class = "form-control Textarea" })
                            </div>
                        </div>
                    </div>
                    </div>
                    }
                    <div class="col-lg-1 p-t-25">
                        <button type="submit" name="actionName" value="AddStrength" class="btn btn-grey m-b-5"><i class="fas fa-plus-circle" id="strow"></i></button>
                    </div>
                </div>
    </div>
    <!-- part-01 -->
    <div class="section-container section-with-top-border p-b-10">
        <h5 class="m-t-0">Weaknesses</h5>
        <div class="row">
            @for (int k = 0; k < Model.companySWOTWeeknessesViewModel.Count; k++)
            {
            <div class="col-lg-3">
                <div class="form-horizontal">
                    <div class="form-group m-b-10">
                        <label class="col-lg-4 col-form-label">Category</label>
                        <div class="col-lg-8">
                            @Html.HiddenFor(Model => Model.companySWOTWeeknessesViewModel[k].Id)
                            @Html.HiddenFor(Model => Model.companySWOTWeeknessesViewModel[k].SWOTTypeName)
                            @Html.HiddenFor(Model => Model.companySWOTWeeknessesViewModel[k].SWOTTypeId)
                            @Html.DropDownListFor(Model => Model.companySWOTWeeknessesViewModel[k].CategoryId, new SelectList(ViewBag.CategoryList, "Id", "CategoryName"), "", new { @class = "form-control" })
                        </div>
                    </div>
                </div>
              </div>
            <div class="col-lg-8 text-left">
                <div class="form-horizontal">
                    <div class="form-group">
                        <label class="col-lg-2 col-form-label text-right">Description</label>
                        <div class="col-lg-10">
                            @Html.TextAreaFor(Model => Model.companySWOTWeeknessesViewModel[k].SWOTDescription, new { @class = "form-control Textarea" })
                        </div>
                    </div>
                </div>
                </div>
                }
                <div class="col-lg-1 p-t-25">
                    <button type="submit" name="actionName" value="AddWeeknesses" class="btn btn-grey m-b-5"><i class="fas fa-plus-circle" id="strow"></i></button>
                </div>
            </div>

    </div>
    <!-- part-02-->
    <div class="section-container section-with-top-border p-b-10">
        <h5 class="m-t-0">Opportunities</h5>
        <div class="row">
            @for (int k = 0; k < Model.companySWOTOpportunitiesViewModel.Count; k++)
            {
            <div class="col-lg-3">
                <div class="form-horizontal">
                    <div class="form-group m-b-10">
                        <label class="col-lg-4 col-form-label">Category</label>
                        <div class="col-lg-8">
                            @Html.HiddenFor(Model => Model.companySWOTOpportunitiesViewModel[k].Id)
                            @Html.HiddenFor(Model => Model.companySWOTOpportunitiesViewModel[k].SWOTTypeName)
                            @Html.HiddenFor(Model => Model.companySWOTOpportunitiesViewModel[k].SWOTTypeId)
                            @Html.DropDownListFor(Model => Model.companySWOTOpportunitiesViewModel[k].CategoryId, new SelectList(ViewBag.CategoryList, "Id", "CategoryName"), "", new { @class = "form-control" })
                        </div>
                    </div>
                    </div>
                </div>
            <div class="col-lg-8 text-left">
                <div class="form-horizontal">
                    <div class="form-group">
                        <label class="col-lg-2 col-form-label text-right">Description</label>
                        <div class="col-lg-10">
                            @Html.TextAreaFor(Model => Model.companySWOTOpportunitiesViewModel[k].SWOTDescription, new { @class = "form-control Textarea" })
                        </div>
                    </div>
                 </div>
                </div>
                }
                <div class="col-lg-1 p-t-25">
                    <button type="submit" name="actionName" value="AddOpportunities" class="btn btn-grey m-b-5"><i class="fas fa-plus-circle" id="strow"></i></button>
                </div>
            </div>
    </div>
    <!-- part-03 -->
    <div class="section-container section-with-top-border p-b-10">
        <h5 class="m-t-0">Threats</h5>
        <div class="row">
            @for (int k = 0; k < Model.companySWOTThreatsViewModel.Count; k++)
            {
            <div class="col-lg-3">
                <div class="form-horizontal">
                    <div class="form-group m-b-10">
                        <label class="col-lg-4 col-form-label">Category</label>
                        <div class="col-lg-8">
                            @Html.HiddenFor(Model => Model.companySWOTThreatsViewModel[k].Id)
                            @Html.HiddenFor(Model => Model.companySWOTThreatsViewModel[k].SWOTTypeId)
                            @Html.HiddenFor(Model => Model.companySWOTThreatsViewModel[k].SWOTTypeName)
                            @Html.DropDownListFor(Model => Model.companySWOTThreatsViewModel[k].CategoryId, new SelectList(ViewBag.CategoryList, "Id", "CategoryName"), "", new { @class = "form-control" })
                        </div>
                    </div>
                 </div>
             </div>
                <div class="col-lg-8 text-left">
                   <div class="form-horizontal">
                    <div class="form-group">
                        <label class="col-lg-2 col-form-label text-right">Description</label>
                        <div class="col-lg-10">
                            @Html.TextAreaFor(Model => Model.companySWOTThreatsViewModel[k].SWOTDescription, new { @class = "form-control Textarea" })
                        </div>
                    </div>
                  </div>
                </div>
                }
                <div class="col-lg-1 p-t-25">
                    <button type="submit" name="actionName" value="AddThreats" class="btn btn-grey m-b-5"><i class="fas fa-plus-circle" id="strow"></i></button>
                </div>
            </div>
    </div>
    <!-- begin section-container -->
    <div class="section-with-top-border p-b-5">
        <div class="row">
            <!-- begin col-6 -->
            <div class="col-lg-6">
                <div class="panel panel-info" data-sortable-id="ui-widget-8">
                    <div class="panel-heading">
                        <div class="panel-heading-btn">
                            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-white"
                               data-click="panel-expand"><i class="fa fa-expand"></i></a>
                        </div>
                        <h4 class="panel-title">Author Notes <span class="text-danger">*</span></h4>
                    </div>
                    @Html.TextAreaFor(model => model.CompanyNoteViewModel.AuthorRemark, 4, 3, htmlAttributes: new { @class = "form-control no-rounded-corner" })
                    <script>
                        CKEDITOR.replace('CompanyNoteViewModel.AuthorRemark', {
                            height: 40,
                            toolbarGroups: [{
                                "name": "basicstyles",
                                "groups": ["basicstyles"]
                            },
                            {
                                "name": "links",
                                "groups": ["links"]
                            },
                            {
                                "name": "paragraph",
                                "groups": ["list", "blocks"]
                            },

                            {
                                "name": "document",
                                "groups": ["mode"]
                            },
                            {
                                "name": "insert",
                                "groups": ["insert"]
                            },
                            {
                                "name": "styles",
                                "groups": ["styles"]
                            },
                            {
                                "name": "about",
                                "groups": ["about"]
                            }
                            ],
                            removeButtons: 'Underline,Strike,Subscript,Superscript,Anchor,Styles,Specialchar'
                        });
                    </script>

                </div>
            </div>
            <!-- end col-6 -->
            <!-- begin col-6 -->
            <div class="col-lg-6">
                <div class="panel panel-info" data-sortable-id="ui-widget-8">
                    <div class="panel-heading">
                        <div class="panel-heading-btn">
                            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-white"
                               data-click="panel-expand"><i class="fa fa-expand"></i></a>
                        </div>
                        <h4 class="panel-title">Approver Notes</h4>
                    </div>
                    @Html.TextAreaFor(model => model.CompanyNoteViewModel.ApproverRemark, 4, 3, htmlAttributes: new { @class = "form-control no-rounded-corner" })
                    <script>
                        CKEDITOR.replace('CompanyNoteViewModel.ApproverRemark', {
                            height: 40,
                            toolbarGroups: [{
                                "name": "basicstyles",
                                "groups": ["basicstyles"]
                            },
                            {
                                "name": "links",
                                "groups": ["links"]
                            },
                            {
                                "name": "paragraph",
                                "groups": ["list", "blocks"]
                            },

                            {
                                "name": "document",
                                "groups": ["mode"]
                            },
                            {
                                "name": "insert",
                                "groups": ["insert"]
                            },
                            {
                                "name": "styles",
                                "groups": ["styles"]
                            },
                            {
                                "name": "about",
                                "groups": ["about"]
                            }
                            ],
                            removeButtons: 'Underline,Strike,Subscript,Superscript,Anchor,Styles,Specialchar'
                        });
                    </script>
                </div>
            </div>
        </div>
        <!-- end row -->
    </div>
    <!-- end section-container -->
    <div style="text-align: center;">
        <p>
            @*<a class="btn btn-grey m-b-5" href="ecosystem-presence.html">Previous</a>
                <button type="button" class="btn btn-grey m-b-5">Save</button>
                <button type="button" class="btn btn-grey m-b-5">Clear</button>
                <button type="button" class="btn btn-grey m-b-5">Submit</button>
                <button type="button" class="btn btn-grey m-b-5">Approve</button>
                <button type="button" class="btn btn-grey m-b-5">Reject</button>
                <a class="btn btn-grey m-b-5" href="trends.html">Next</a>*@
            @*<a class="btn btn-grey m-b-5" href="share-volume-graph.html">Previous</a>
                <button type="submit" name="actionName" value="Save" class="btn btn-grey m-b-5">Save</button>
                <button type="submit" name="actionName" value="Clear" class="btn btn-grey m-b-5">Clear</button>
                <button type="submit" name="actionName" value="Submit" class="btn btn-grey m-b-5">Submit</button>
                <button type="submit" name="actionName" value="Approve" class="btn btn-grey m-b-5">Approve</button>
                <button type="submit" name="actionName" value="Reject" class="btn btn-grey m-b-5">Reject</button>
                <a class="btn btn-grey m-b-5" href="news.html">Next</a>*@
            @Html.Partial("~/Views/Shared/_CompanyAction.cshtml")
        </p>
    </div>
</div>
}
